import md5 from "./md5.js";
// let API_URL= 'http://apisite.dtjzwl.net/index.php/Api'
// let ADMIN_API = 'http://apisite.dtjzwl.net/index.php/Api'
let API_URL= 'https://subapi.bqrcy.com/index.php/Api'
let ADMIN_API = 'https://subapi.bqrcy.com/index.php/Api'
/*
	请求方法
	url '' 路径
	data {} 请求参数
	loadIs  是否有加载中的框
	errorMsgIs  是否提示错误信息
*/
const http = ({url="",method="GET",data={},loadIs=true,errorMsgIs=true,apiIs=true}={}) => {
	data.sign_key = md5('Bingqiwangluojiaoyupingtai946B@!');
	data.timetemps = Math.round(new Date() / 1000);
	let str = ''
	data.sign = '';
	if(uni.getStorageSync('userInfo_fen') != ''){
		data.user_id = uni.getStorageSync('userInfo_fen').id;
		data.site_id = uni.getStorageSync('userInfo_fen').organize_id;
	}
	Object.values(data).forEach(key => {
		str += encodeURIComponent(key);
	})
	data.sign = md5(str);
	data.sign_key = '';
	uni.getNetworkType({
		success: (res) => {
			if (res.networkType == "none") {
				toastMessage({
					message: '请检查网络连接！',
				});
				return;
			}
		}
	});
	if(data.hasOwnProperty('userInfo_fen')){
		if(uni.getStorageSync('userInfo_fen')==''){
			uni.showToast({
				title: '请先登录',
				icon:"none",
				mask:true
			});
			setTimeout(()=>{
				uni.reLaunch({
					url: '/pages/login/login'
				});
			},1500)
			return false
		}
	}
	// if(url=='/category/category/get_cate'||url=='/curriculum/curriculum/get_curriculum_list'){
	// 	loadIs=false
	// }
	if(loadIs){
		uni.showLoading({
			title:"加载中",
			mask:true
		})
	}
	return new Promise((resolve, reject) => {
		uni.request({
			url: (apiIs?API_URL:ADMIN_API) + url,
			data: data,
			method: method,
			header:{"content-type":"application/x-www-form-urlencoded"},
			// header:{"content-type":"multipart/form-data"},
			complete: (res) => {
				uni.hideLoading();
				if (res.statusCode >= 200 && res.statusCode < 300) {
					if(res.data.error_msg){
						if(res.data.error_msg =='internal server error'){
							uni.showToast({
								title: '请求失败！',
								icon:'none'
							});
						} else {
							uni.showToast({
								title: res.data.error_msg,
								icon:'none'
							});
						}
						if(res.data.error_msg=='用户信息发生改变即将跳转首页,重置个人信息!'){
							uni.setStorage({
								key: 'userInfo_fen',
								data: res.data.user
							});
							setTimeout(()=>{
								uni.reLaunch({
									url: '/pages/fen/index/index'
								});
							},1500)
						}
						if(res.data.error_msg=='密码过期，请重新登录' || res.data.error_msg=='用户不存在'){
							setTimeout(()=>{
								uni.reLaunch({
									url: '/pages/login/login'
								});
							},1500)
						}
						reject(res);
					}else{
						resolve(res.data)
					}
				} else {
					reject(res);
				}
			}
		});
	})
}

export default http
